Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Class CustomTThreadPoolServer.Options

    java.lang.Object
      org.apache.cassandra.thrift.CustomTThreadPoolServer.Options

Enclosing class:
  CustomTThreadPoolServer

    public static class CustomTThreadPoolServer.Options

extends java.lang.Object

Field Summary
`int` | `maxWorkerThreads`
`int` | `minWorkerThreads`
`java.util.concurrent.TimeUnit` | `stopTimeoutUnit`
`int` | `stopTimeoutVal`

Constructor Summary
`CustomTThreadPoolServer.Options()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### minWorkerThreads

    public int minWorkerThreads

### maxWorkerThreads

    public int maxWorkerThreads

### stopTimeoutVal

    public int stopTimeoutVal

### stopTimeoutUnit

    public java.util.concurrent.TimeUnit stopTimeoutUnit

Constructor Detail

### CustomTThreadPoolServer.Options

    public CustomTThreadPoolServer.Options()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation